flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christofer Dutz <christofer.d...@c-ware.de>
Subject AW: AW: Updated Flex-SDK to use apache-flex blazeds :-)
Date Sat, 22 Nov 2014 11:28:47 GMT
Well I have never used the DataWizards ... as far as I understood them they sort of generate
AS versions of you model classes and somehow create wrappers for accessing servers. I don't
like checking in generated code so I have always user the generator built into Flexmojos which
generates all this stuff as part of the maven build. 

I think my issue with the jars was that the ANT script sort of downloads them but I couldn't
find a single one of them available via Maven. There might be solutions to that problem, but
I sort of didn't put that effort in there cause I knew none who actually used them. If they
are important, I will try to get them working though. 

You say that you need the tomcat optional jar in order to be able to work ... but isn't tomcat
one of the opts that are built? It's some of the other platforms that don't work, but tomcat
should be fine.


Von: Alex Harui <aharui@adobe.com>
Gesendet: Freitag, 21. November 2014 19:11
An: dev@flex.apache.org
Betreff: Re: AW: Updated Flex-SDK to use apache-flex blazeds :-)

On 11/21/14, 9:19 AM, "Christofer Dutz" <christofer.dutz@c-ware.de> wrote:

>Have to admit that I have never used the opt packages.
>BlazeDS itself is in the 4 packages core, common, proxy and remoting. The
>opt packages seem to be some sort of convenience classes for linking the
>tomcat4 login mechanism with that of BlazeDS. I disabled those modules
>for "jrun", "oracle", "weblogic" and "websphere" as you need the core
>libs of these containers in order to build and these are not available

Somehow, the Ant build is building the jars in modules/opt.  And for me,
with a freshly installed Tomcat 6, I needed those jars to get going.

>The WAR was probably the tournkey option, that outputs a war archive to
>immediate experimenting. I think this must have been part of that
>insanely old BlazeDS release. If we need it we would probably have to
>re-implement it.

BlazeDS fans, if you need the WAR file, let us know.

>Regarding the flex-rds-server.jar ... I have never heard of this nor have
>I ever had to use it. Could this eventually be a leftover from the
>livecycle server which had the "realtime" stuff in it?

Well, I don’t know where it came from and can’t find its source.  FB uses
it for the BlazeDS data wizards.

>But I thought the Flex SDK only relied on the flex-messageing-commons or
>core and not the rest ... I never even knew that this rds-jar existed.

To compile a SWF that references a services-config.xml, Flex SDK only
needs flex-messaging-common.jar.  But to use your BlazeDS web app in the
FB data wizards you needs flex-rds-server.jar.  IF we ship without this
jar, will we get tons of complaints from our users?  BlazeDS fans, how
many of you are using FB Data Wizards?


View raw message